org.apache.sysds.runtime.controlprogram

## Enum ParForProgramBlock.PDataPartitionFormat

- java.lang.Object
- - java.lang.Enum<ParForProgramBlock.PDataPartitionFormat>
  - - org.apache.sysds.runtime.controlprogram.ParForProgramBlock.PDataPartitionFormat

All Implemented Interfaces:
  Serializable, Comparable<ParForProgramBlock.PDataPartitionFormat>

Enclosing class:
  ParForProgramBlock

    public static enum ParForProgramBlock.PDataPartitionFormat
    extends Enum<ParForProgramBlock.PDataPartitionFormat>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BLOCK_WISE_M_N`
`COLUMN_BLOCK_WISE`
`COLUMN_BLOCK_WISE_N`
`COLUMN_WISE`
`NONE`
`ROW_BLOCK_WISE`
`ROW_BLOCK_WISE_N`
`ROW_WISE`

### Method Summary

All Methods Static Methods Concrete Methods
`static ParForProgramBlock.PDataPartitionFormat` `parsePDataPartitionFormat(String s)` Note: Robust version of valueOf in order to return NONE without exception if misspelled or non-existing and for case-insensitivity.
`static ParForProgramBlock.PDataPartitionFormat` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ParForProgramBlock.PDataPartitionFormat[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final ParForProgramBlock.PDataPartitionFormat NONE

#### ROW_WISE

    public static final ParForProgramBlock.PDataPartitionFormat ROW_WISE

#### ROW_BLOCK_WISE

    public static final ParForProgramBlock.PDataPartitionFormat ROW_BLOCK_WISE

#### ROW_BLOCK_WISE_N

    public static final ParForProgramBlock.PDataPartitionFormat ROW_BLOCK_WISE_N

#### COLUMN_WISE

    public static final ParForProgramBlock.PDataPartitionFormat COLUMN_WISE

#### COLUMN_BLOCK_WISE

    public static final ParForProgramBlock.PDataPartitionFormat COLUMN_BLOCK_WISE

#### COLUMN_BLOCK_WISE_N

    public static final ParForProgramBlock.PDataPartitionFormat COLUMN_BLOCK_WISE_N

#### BLOCK_WISE_M_N

    public static final ParForProgramBlock.PDataPartitionFormat BLOCK_WISE_M_N

### Method Detail

#### values

    public static ParForProgramBlock.PDataPartitionFormat[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ParForProgramBlock.PDataPartitionFormat c : ParForProgramBlock.PDataPartitionFormat.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ParForProgramBlock.PDataPartitionFormat valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### parsePDataPartitionFormat

    public static ParForProgramBlock.PDataPartitionFormat parsePDataPartitionFormat(String s)

Note: Robust version of valueOf in order to return NONE without exception if misspelled or non-existing and for case-insensitivity.

Parameters:
  `s` - data partition format as string
Returns:
  data partition format